commit:     808a6b16c04f9eb6113cfa3cf8ba144c327d858a
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 12 09:25:22 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat Aug 12 09:42:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=808a6b16

gnome-extra/gnome-power-manager: version bump 3.22.2 → 3.24.0

Port away from intltool. Translation updates.

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 gnome-extra/gnome-power-manager/Manifest           |  1 +
 .../gnome-power-manager-3.24.0.ebuild              | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/gnome-extra/gnome-power-manager/Manifest 
b/gnome-extra/gnome-power-manager/Manifest
index be53db41010..96ca3e17dc9 100644
--- a/gnome-extra/gnome-power-manager/Manifest
+++ b/gnome-extra/gnome-power-manager/Manifest
@@ -1 +1,2 @@
 DIST gnome-power-manager-3.22.2.tar.xz 453204 SHA256 
4f02d101d768fc4da52b7a294b233f7e4e1fbc09515d144bf2040bab9e0724e0 SHA512 
a8039404bf9850422d385281b6572485b39b5fd63c7eec1b41df14f4d551898a90c8d943683517744d0dc2d851a7fd1f7697655af91a0d17a3df476828a763aa
 WHIRLPOOL 
a992ba80a60bcc5ae84cec722043cf4377158e3c4635f34888f1c0dfc1eea3e9dcfc415c68f6ea20a6583bab5a67e45aa80044ff25653b189c85da0e8429790c
+DIST gnome-power-manager-3.24.0.tar.xz 554616 SHA256 
135ec3cd01f02e9cc006a2944cb8bd53382b01bb39c871131ee706417c9f0ab7 SHA512 
fbbac0f5176382ccd13497cd80792d10ca4bc39fa4cc0585543f5458ba0f256ffb66b7ebd82667e482ba33cf2b6f3ef6a64bf2f55ac224e1d9ab2e2b7491e4e0
 WHIRLPOOL 
3d1add453426667401d6f1ab8ca6fb496e5edd9b6ba8884ef807a7167a4cbc8424bbdd2215303636efbcbdf7c6d284b4098301bce6181ca493101e2e3a34cf4a

diff --git a/gnome-extra/gnome-power-manager/gnome-power-manager-3.24.0.ebuild 
b/gnome-extra/gnome-power-manager/gnome-power-manager-3.24.0.ebuild
new file mode 100644
index 00000000000..2b21ce1ba41
--- /dev/null
+++ b/gnome-extra/gnome-power-manager/gnome-power-manager-3.24.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2 virtualx
+
+DESCRIPTION="GNOME power management service"
+HOMEPAGE="https://projects.gnome.org/gnome-power-manager/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="test"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.45.8:2
+       >=x11-libs/gtk+-3.3.8:3
+       >=x11-libs/cairo-1
+       >=sys-power/upower-0.99:=
+"
+RDEPEND="${COMMON_DEPEND}
+       x11-themes/adwaita-icon-theme
+"
+DEPEND="${COMMON_DEPEND}
+       app-text/docbook-sgml-dtd:4.1
+       app-text/docbook-sgml-utils
+       dev-libs/appstream-glib
+       >=sys-devel/gettext-0.19.7
+       x11-proto/randrproto
+       virtual/pkgconfig
+       test? ( sys-apps/dbus )
+"
+
+# docbook-sgml-utils and docbook-sgml-dtd-4.1 used for creating man pages
+# (files under ${S}/man).
+# docbook-xml-dtd-4.4 and -4.1.2 are used by the xml files under ${S}/docs.
+
+src_prepare() {
+       # Drop debugger CFLAGS from configure
+       # Touch configure.ac only if running eautoreconf, otherwise
+       # maintainer mode gets triggered -- even if the order is correct
+       sed -e 's:^CPPFLAGS="$CPPFLAGS -g"$::g' \
+               -i configure || die "debugger sed failed"
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               $(use_enable test tests)
+}
+
+src_test() {
+       virtx emake check
+}

Reply via email to